Bug 1332865 (CVE-2016-4542, CVE-2016-4543, CVE-2016-4544) - CVE-2016-4542 CVE-2016-4543 CVE-2016-4544 php: Out-of-bounds heap memory read in exif_read_data() caused by malformed input
Summary: CVE-2016-4542 CVE-2016-4543 CVE-2016-4544 php: Out-of-bounds heap memory read...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4542, CVE-2016-4543, CVE-2016-4544
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1332882
Blocks: 1332879
TreeView+ depends on / blocked
 
Reported: 2016-05-04 08:57 UTC by Adam Mariš
Modified: 2019-11-14 07:56 UTC (History)
15 users (show)

Fixed In Version: php 5.5.35, php 5.6.21, php 7.0.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 16:29:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-05-04 08:57:09 UTC
It was found that malformed input to function exif_read_data() can cause out-of-bounds heap memory read access.

Upstream bug:

https://bugs.php.net/bug.php?id=72094

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=1366c0362f1fa85e82bde9c0b393bd3bb3d32892

Comment 1 Adam Mariš 2016-05-04 09:25:49 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1332882]

Comment 2 Andrej Nemec 2016-05-06 06:52:43 UTC
As per CVE assignment:

http://seclists.org/oss-sec/2016/q2/259

Use CVE-2016-4542 for the issue associated with the spprintf call.

Use CVE-2016-4543 for both issues in which "Illegal IFD size" validation was added.

Use CVE-2016-4544 for the issue in which "Invalid TIFF start" validation was added.

Comment 3 Fedora Update System 2016-05-07 11:47:37 UTC
php-5.6.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-12 07:22:39 UTC
php-5.6.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2016-06-13 16:29:29 UTC
There are limited buffer over-reads, which may possibly cause crash or information leak.  However, practically triggering either is of low probability because of how over-reads are limited.  Hence no plan to backport this fix.

Comment 7 errata-xmlrpc 2016-11-15 11:51:48 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.